Remove Mac as supported paltform

Support for Deluge on Apple Mac OS
screenager

Re: Remove Mac as supported paltform

Postby screenager » Mon Nov 15, 2010 6:07 am

fancyclown wrote:Have you tried the AutoAdd plugin? With watched folders adding torrents is a breeze even with the Web UI. :idea:


yep, auto-add works great but it'd get me about 2-3 min to get through the initial webui freeze then i could see if anything was happening, ...
now 1.3.1 seems to have fixed most of it so webui is much more easier to use but not as easier as launching deluge directly on my mac (even if it took 3gig to install :p)

daenney
New User
New User
Posts: 8
Joined: Wed Sep 24, 2008 4:24 pm

Re: Remove Mac as supported paltform

Postby daenney » Tue Feb 01, 2011 10:16 am

I understand the sentiment of the topic starter and up to a certain point I agree. Mac OS is not supported by the developers in any way. Their choice to use GTK+ makes it even that much harder to build/package Deluge for OS X, compared to Qt which is a breeze.

But, just because the developers don't support it doesn't mean the community can't or shouldn't, that's the whole idea of the open-source part. Mac users are used to downloading a .dmg, install, it works and being God in their land but guess what, we're not.

MacPorts is available and if you follow the instructions it will work just fine, tested it yesterday. I'm currently working on getting a brew formula ready and issuing a pull-request so we'd have two sources where people can build from. I can highly recommend brew since it uses as much of the available OS X libraries instead of building everything itself like MacPorts does which takes away some compatibility issues you might encounter during upgrades.

Currently zachtib is doing an effort to package up Deluge into a Mac installer, complete with GTK+ and all the dependencies.

There's a native Mac client (so just UI, not daemon and/or webUI) being written by hjaltij and keepitcomplicated and if they don't deliver (which I doubt) I'll have a go at it in PyObjC with a few people. Perhaps I'll have a go at it anyway since building it in PyObjC might allow it to be pulled into deluge altogether.

dsjstc
New User
New User
Posts: 4
Joined: Mon Feb 21, 2011 3:08 pm
OS or Distro: mac os

Re: Remove Mac as supported paltform

Postby dsjstc » Mon Feb 21, 2011 5:45 pm

You know, I'm an ex-coder and I know my way around the commandline. I've run more distros of linux than I have changes of underwear, and I have five active computers in my house. I love the client-server model of Deluge and I'm running it on three machines. But after sinking four hours into trying to satisfy all the undocumented dependencies required to build Deluge on OSX, I've decided to stop throwing good time after bad. It's quite simply not worth this level of effort.

Is there some kind of ineffable moral stance behind failing to post a mac binary on sourceforge? Or is this impossible with things built from macports? Either way, it indicates that something is seriously broken here.

mercury00

Re: Remove Mac as supported paltform

Postby mercury00 » Tue Jul 19, 2011 2:58 am

comedian wrote:
Sammi wrote:
Ergo there is no Deluge support for Mac.



Not trying to pick on you Sammi, but the complaints here to remove Mac as a supported paltform(sic) essentially state that Mac as a supported platform should be removed because compiling Deluge on OSX is not easy.

That, frankly, is bullshit.

Deluge is a source-only distribution (with Windows being excepted). Third parties pre-compiling linux packages for the faint of heart does NOT make any Linux platform "supported". It only makes installing it on that particular flavor easier for people who don't know what they're doing. And the third-parties providing those packages are not necessarily part of the Deluge development team. Linux is a supported platform, but your particular flavor may not be supported by the Deluge development team. In fact, if you have a question about compiling Deluge on Linux, or with Deluge not working with "your" Linux, you'll probably be directed to the respective package developers, rather than answered by a Deluge Dev.

Does that mean Linux (or that flavor of Linux) is not supported? Nope. It just means the Devs don't spoon-feed or hand hold. Pretty much the case everywhere in the open-source world. Consider yourself lucky that someone who knows what they're doing re-packaged the Deluge source to make your life easier. But be clear, if you can't Deluge running on your flavor of Linux, THAT IS NOT THE DELUGE DEVELOPER'S PROBLEM.

The product can be successfully compiled and run on OSX, it's just not easy. Difficult to compile does not equate to unsupported. Supported means it's been tested and works. This is the case with OSX.

Is it hard to make work on OSX? Yup.

Does it work on OSX? Absolutely. I've successfully installed it on Leopard 10.5.6-10.5.8 and Snow Leopard 10.6.2-10.6.4 on a variety of platforms, Mac-mini; MacBook, MacBook Pro, Hackint0sh; and even running in a VM under Windows. And, as long as I've followed the instructions, I've never had a problem getting it to run that wasn't addressed somewhere on the forums.

Just because it's not easy or it doesn't work for you doesn't mean it doesn't work, or isn't supported.

It just means it's open-source.

And, as I've often seen in many many forum posts in many other forums in the open source world; If you don't like it, teach yourself how to make it work, and contribute the solution back to the community.

Otherwise, find a different product.


Not trying to pick on you, comedian, but claiming that a product is 'supported' on a platform because the source code's been released and a small handful of people have somehow managed to hack together some libraries and tools that allow the program to run on top of another framework after hours of compiling it locally *on a specific set of older versions of dependencies* is like claiming that the philosophers stone grants immorality.

That, frankly, is bullshit.

If this application was 'supported' on mac, there'd be a .dmg that worked with cocoa and didn't break when you updated your computer. Please have a look at the following:

mozilla firefox
mozilla thunderbird
libreoffice
openoffice
vlc
miro
audacity
gimp
nvu
freemind
mplayer
blender
scribus
codeblocks
eclipse
ogg vorbis
... I could go on, seriously.

I love deluge on my linux computers. It's the best. But it's simply not supported on Mac. (It's not supported on my mac, 10.6.8 with the current set of libraries I'm required to have on them that the deluge build process currently does not work with).

Releasing source is exactly how you 'support' an application on linux. That way, my distribution supplier compiles the binaries (or if I'm impatient, I do) and it's available on my distro. There's not another step involved. That's it. You're done.

Unfortunately, that's not how it works for either m$ windows or apple macs, and stubbornly thinking that it does it to completely ignore the majority of mac users, the majority of computer users, and some basic facts about the way the operating systems work. If you'd like to claim ignorance, just take a visit to the apple store and look around. Go to Sourceforge and browse all the windows binaries.

In any case, I'm going with a different tool until deluge is actually supported. I won't bother reading any more forums.

higher_ground

Re: Remove Mac as supported paltform

Postby higher_ground » Fri Sep 09, 2011 1:08 am

I've just spent all day trying to install Deluge on OS X, and registered just to comment on this thread.

I don't mean to belittle the work of the developers, but to say Deluge is supported on OS X is, quite frankly a lie.

It's more accurate to say that OS X "supports" Deluge, in that it can theoretically run it, but Deluge itself definitely doesn't "support" OS X. In fact, it can't even run on OS X 10.7.

Deluge is about as supported on OS X as are Windows programs than can be run through Wine.

Cas
Top Bloke
Top Bloke
Posts: 3463
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Remove Mac as supported paltform

Postby Cas » Fri Sep 09, 2011 10:07 am

If you find any issue with the Deluge application running on MacOSX then we will attempt to fix it.

However what I think you are referring to is a packaging issue, which is a different problem altogether, and we do not have the resources to support that. As mentioned in many of the previous posts here we release source code that then packaged by third parties, which in the case of MacOSX is the macports maintainers. If you have an issue with that then you need to create a bug report at macports however the macports thread on this forum does specifically mention that 10.7 does not currently work.

Cas
Top Bloke
Top Bloke
Posts: 3463
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Remove Mac as supported paltform

Postby Cas » Sat Nov 05, 2011 6:33 pm

Thanks to work by carbncl he has created a standalone Deluge.app for 10.6 & 10.7. Please can you help by testing the latest version and report back to him.

Deluge.app build using GTK-OSX

macdelugeplease
Member
Member
Posts: 24
Joined: Sat Jun 06, 2009 10:33 pm

Re: Remove Mac as supported paltform

Postby macdelugeplease » Sat Nov 05, 2011 7:44 pm

Thanks for the update. I wouldn't have known for a long time otherwise.


Return to “Mac OS”

Who is online

Users browsing this forum: No registered users and 2 guests